### Method

# Ide Task set_source_tag

#### Declaration

    void
    ide_task_set_source_tag (
      IdeTask* self,
      gpointer source_tag
    )

#### Description

Sets the source tag for the task. Generally this is a function pointer of the function that created the task.

Available since: | 3.32

#### Parameters

`source_tag` | `gpointer`
| A tag to identify the task, usual a function pointer.
| The argument can be `NULL`.
| The data is owned by the caller of the function.